Subject: Re: The git spring cleanup challenge

From: Felipe Contreras <[email-masked]>
Date: Tue, 01 Jun 2021 18:44:02 -0500

Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> > David Aguilar <[email-masked]> writes:

> >> +1 for merge.conflictstyle = diff3, rerere.enabled = true, and
> >> log.decorate = short from me. I noticed others already mentioned
> >> these.
> >
> > As the inventor of rerere, I agree on rerere.enabled.  It was made
> > opt-in only because I thought it was somewhat risky when the feature
> > was introduced, but it has been stable and useful, and it is long
> > overdue to be enabled by default.
> 
> Just to make sure, rerere.enabled is fine, but as I am not
> comfortable to recommend rerere.autoupdate to any human users, I
> would be opposed to turning it on by default.  Giving people a
> choice is fine, but the default should be a safe one that offers
> users a chance of final sanity checking before proceeding.

No commit is made. Doesn't `git diff --staged` offer users such chance?

-- 
Felipe Contreras